<?php
	/**
		* @package     Joomla.Site
		* @subpackage  mod_articles_category
		* @author	   web-eau.net
		* @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
		* @license     GNU General Public License version 2 or later; see LICENSE.txt
	*/
	
	defined('_JEXEC') or die;
	
	use Joomla\CMS\Helper\ModuleHelper;
	use Joomla\CMS\Language\Text;
	
	if (!$list)
	{
		return;
	}
	
?>

<div class="category-module<?php echo $moduleclass_sfx; ?>">
	
	<?php if ($grouped) : ?>
	<?php foreach ($list as $group_name => $group) : ?>
	<section class="about-area pt-60">
		<div class="container">	    
			<div class="row">
				<div class="col-xl-12 mb-60">
					<div class="section-title-menu text-center">
						<h4><?php echo $group_name; ?></h4> 
					</div>
				</div>
			</div>
			
			<div class="row menu_style mb-5">
				
				<?php foreach ($group as $item) : ?>
				
				<div class="col-md-6 pb-3">
					<div class="single_menu_list">
						<?php
							$article_images  = json_decode($item->images);
							$article_image   = '';
							$article_image_alt   = '';
							if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
								$article_image  = $article_images->image_intro;
								$article_image_alt  = $article_images->image_intro_alt;
							}?>  					
							
							<img class="" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
							
							<?php $item->urls = new JRegistry($item->urls); ?>
							<div class="menu_content">
								<h4><?php echo $item->title; ?> <span> <?php echo $item->urls->get('urlatext'); ?></span></h4> 
								<p class="mod-articles-category-introtext">
									<?php echo $item->displayIntrotext; ?>
								</p>					
							</div>
					</div>
				</div>
				<?php endforeach; ?>
				
			</div>
		</div>
	</section>	
	<?php endforeach; ?>
	
	<?php else : ?>
	
	<?php foreach ($list as $item) : ?>
	<div class="col-md-4">
		<div class="single_menu_list">
			<?php
				$article_images  = json_decode($item->images);
				$article_image   = '';
				$article_image_alt   = '';
				if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
					$article_image  = $article_images->image_intro;
					$article_image_alt  = $article_images->image_intro_alt;
				}?>  					
				
				<img class="" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
				
				<?php $item->urls = new JRegistry($item->urls); ?>
				<div class="menu_content">
					<h4><?php echo $item->title; ?> <span> <?php echo $item->urls->get('urlatext'); ?></span></h4> 
					<p class="mod-articles-category-introtext">
						<?php echo $item->displayIntrotext; ?>
					</p>					
				</div>
		</div>
	</div>
	<?php endforeach; ?>	
	<?php endif; ?>
</div>